Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Element_Equal< const char * > Class Reference

`#include <Constraint_Visitors.h>`

List of all members.

## Public Methods
int | operator() (TAO_DynSequence_i &dyn_any, const char *element) const

## Member Function Documentation

int TAO_Element_Equal< const char * >::operator() | ( | TAO_DynSequence_i & | dyn_any,
|  | const char * | element
| ) | const

| Calls the correct method on dyn_seq to extract the element type, then uses the appropriate form of equals comparison.

The documentation for this class was generated from the following files:

- Constraint_Visitors.h
- Constraint_Visitors.cpp